import {get,post} from '@/api/index'

// 图表用户模块
export default{
  // 新增分类
  addClassify:(params)=>{
    return post('/chart_collect/classify/add',params)
  },
  // 编辑分类
  editClassify:(params)=>{
    return post('/chart_collect/classify/edit',params)
  },
  // 移动分类
  moveClassify:(params)=>{
    return post('/chart_collect/classify/move',params)
  },
  // 删除分类
  deleteClassify:(params)=>{
    return post('/chart_collect/classify/delete',params)
  },
  // 分类列表
  classifyList:(params)=>{
    return get('/chart_collect/classify/list',params)
  },

  // 收藏图表
  chartCollect:(params)=>{
    return post('/chart_collect/add',params)
  },
  // 取消收藏图表
  chartCollectCancel:(params)=>{
    return post('/chart_collect/delete',params)
  },
  // 收藏图表列表数据
  chartCollectList:(params)=>{
    return get('/chart_collect/list',params)
  },
  // 批量转移图表
  chartCollectBatchMove:(params)=>{
    return post('/chart_collect/modify_chart_classify',params)
  },
  
}