// 用户 hook
import { ref } from "vue";

const token = ref(localStorage.getItem("token") || "");

export function useToken() {
  function setToken(e){
    token.value=e
    localStorage.setItem('token',e)
  }
  return {
    token,
    setToken,
  };
}
